package com.emr.service.tScanAssort;

import com.emr.entity.tScanAssort.T_Scan_Assort;
import com.emr.vo.FontVo.ScanAssortVo;
import com.emr.vo.ZhFyImageVo;

import java.util.List;

public interface T_Scan_AssortService {
    void updateByPrimaryKeySelective(T_Scan_Assort newAssort,T_Scan_Assort oldAssort);
    int SimpleUpdate(String patientId,String assortId,List<String> list);
    int SimpleUpdateByPatientIdAndScanPages(String patientId,String newAssortId,String scanPages);
    int SimpleDelByPatientIdAndScanPages(String patientId,String scanPages);
    void SimpleInsert(List<T_Scan_Assort> list);

    List<ScanAssortVo> selectPicPaths(String patientId,String scanPages,String flag);

    void recoverPic(String patientId, String scanPages);

    List<ZhFyImageVo> getPathListByInpatientNo(String inpatientNo, String admissTimes);

    List<ZhFyImageVo> getPathListByDisDate(String startTime,String endTime);
}
